<template>
    <v-app>
        <router-view></router-view>
    </v-app>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import Menu from '@/components/commons/Menu.vue';
import WrapperContent from '@/components/commons/WrapperContent.vue';
import Footer from '@/components/commons/Footer.vue';
import { Action } from 'vuex-class';

@Component({
    components: {
        Footer,
        WrapperContent,
        Menu
    }
})
export default class App extends Vue {
    @Action('changeLoading')
    changeAction!: (payload: boolean) => Promise<void>;

    created() {
        this.changeAction(false);
    }
}
</script>
<style lang="scss">
.bee-gray {
    color: #72727f;
}
.bordered {
    border: 1px solid #e5ebf7;
}
.table-title {
    background-color: #e5ebf7;
    font-weight: bold;
}
.group-title {
    background-color: #e5ebef;
    border-top: none;
    color: #72727f;
}
.group-title .action {
    margin: -10px auto -10px auto;
}
.group-title .v-list-item__title {
    color: #72727f;
}
.group-content {
    background-color: white;
    border-top: none;
    padding: 5px 5px 5px 5px;
}
.group-content span {
    color: #72727f;
    font-size: 10px;
    font-weight: bolder;
}
.group-content .small-button {
    width: 40px;
    height: 40px;
}
.group-content .v-list-item__content {
    color: #72727f;
}
.theme--light.v-data-table thead tr:last-child th {
    background-color: #dde3f3;
    color: #72727f;
}
</style>
